#!/bin/bash

#----------------------------------------------------------------------
# RUN THIS SCRIPT IN THE "normball" directory where the source distribution was unpacked.
# (It will take a long time.)
#----------------------------------------------------------------------

WORKDIR=$(pwd)

# The next variable is the number of simultaneous frame rendering jobs
# that will run for each movie, and both movies are rendered at once,
# so best to make this equal to (number of cores) / 2.
#
# Of course it would also make sense to render one movie at a time,
# Which can be accomplished by editing this script.
#
PARALLELISM=3

#----------------------------------------------------------------------
# M O V I E   1    R E N D E R I N G
#----------------------------------------------------------------------

#----------------------------------------------------------------------
# RENDER MOVIE1/RAMPUP
#
# Next command renders 393 frames, $PARALLELISM at a time
# Note that render.py starts many processes IN THE BACKGROUND
# and returns immediately.
cd $WORKDIR/rendering/movie1/rampup
ln -s ../../../covectors/vecs-depth8.txt
./render.py 393 $PARALLELISM

#----------------------------------------------------------------------
# RENDER MOVIE1/ROTATE
#
# 250 frames, $PARALLELISM at a time
# Note that render.py starts many processes IN THE BACKGROUND
# and returns immediately.
cd $WORKDIR/rendering/movie1/rotate
ln -s ../../../covectors/vecs-depth8.txt
./render.py 250 $PARALLELISM


#----------------------------------------------------------------------
# M O V I E   2    R E N D E R I N G
#----------------------------------------------------------------------

#----------------------------------------------------------------------
# RENDER MOVIE2/RAMPUP
#
# 628 frames, $PARALLELISM at a time
# Note that render.py starts many processes IN THE BACKGROUND
# and returns immediately.
cd $WORKDIR/rendering/movie2/rampup
ln -s ../../../covectors/vecs-depth9.txt
./render.py 628 $PARALLELISM

#----------------------------------------------------------------------
# RENDER MOVIE2/ROTATE
#
# 428 frames, $PARALLELISM at a time
# Note that render.py starts many processes IN THE BACKGROUND
# and returns immediately.
cd $WORKDIR/rendering/movie2/rotate
ln -s ../../../covectors/vecs-depth9.txt
./render.py 400 $PARALLELISM
