#!/bin/bash

#----------------------------------------------------------------------
# RUN THIS SCRIPT IN THE "normball" directory where the source distribution was unpacked.
#----------------------------------------------------------------------

WORKDIR=$(pwd)

#----------------------------------------------------------------------
# M O V I E   1    M A S T E R I N G
#----------------------------------------------------------------------

cd $WORKDIR/mastering/movie1

# Bring the files together
mkdir rampup
cd rampup
cp -s $WORKDIR/rendering/movie1/rampup/frame-???.png .
cd ..

mkdir rotate
cd rotate
cp -s $WORKDIR/rendering/movie1/rotate/frame-???.png .
cd ..

# Make fade-out
cd rotate-fade
./mkfade.py
cd ..

# Make title fade-in
cd title-fade
./mktitle.py
cd ..

# Serialize (create list of files with sequential numbers)
mkdir all
./assemble.py

# ENCODE
# at a variety of bitrates
../../encode.py -f 'all/%05d.png' -r 24 -b 8000k
../../encode.py -f 'all/%05d.png' -r 24 -b 12000k
../../encode.py -f 'all/%05d.png' -r 24 -b 25000k


#----------------------------------------------------------------------
# M O V I E   2    M A S T E R I N G
#----------------------------------------------------------------------

cd $WORKDIR/mastering/movie2

# Bring the files together
mkdir rampup
cd rampup
cp -s $WORKDIR/rendering/movie2/rampup/frame-???.png .
cd ..

mkdir rotate
cd rotate
cp -s $WORKDIR/rendering/movie2/rotate/frame-???.png .
cd ..

# Make fade-out
cd rotate-fade
./mkfade.py
cd ..

# Make title fade-in
cd title-fade
./mktitle.py
cd ..

# Serialize (create list of files with sequential numbers)
mkdir all
./assemble.py

# ENCODE
# at a variety of bitrates
../../encode.py -f 'all/%05d.png' -r 24 -b 8000k
../../encode.py -f 'all/%05d.png' -r 24 -b 12000k
../../encode.py -f 'all/%05d.png' -r 24 -b 25000k

